Bug 218601 - mail/libcmime: Improve regex conformance
Summary: mail/libcmime: Improve regex conformance
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Larry Rosenman
URL:
Keywords:
Depends on:
Blocks: 218495
  Show dependency treegraph
 
Reported: 2017-04-12 16:54 UTC by Kyle Evans
Modified: 2017-04-26 00:45 UTC (History)
3 users (show)

See Also:
kevans: maintainer-feedback+


Attachments
svn(1) diff of mail/libcmime (896 bytes, patch)
2017-04-12 16:54 UTC, Kyle Evans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2017-04-12 16:54:20 UTC
Created attachment 181729 [details]
svn(1) diff of mail/libcmime

In EREs, left-brace is not to be interpreted as an ordinary character unless escaped. Using left-brace not as a part of a valid interval expression produces undefined results [1].

There is a patch-in-progress to fix our implementation to throw an error if left-brace is not used in a valid manner, it would be good to go ahead and address this before-hand. =)

[1] http://pubs.opengroup.org/onlinepubs/009696899/basedefs/xbd_chap09.html#tag_09_04_03
Comment 1 Axel Steiner 2017-04-18 07:46:21 UTC
The patch looks good, I've tested a build with it. Can be applied.
Comment 2 Kyle Evans freebsd_committer 2017-04-18 20:59:43 UTC
I'm going ahead and setting the maintainer-feedback+ on this one, given your response. Please do reset it if you wish and let me know if this is a problem. =)
Comment 3 Larry Rosenman freebsd_committer 2017-04-26 00:07:18 UTC
take
Comment 4 commit-hook freebsd_committer 2017-04-26 00:42:57 UTC
A commit references this bug:

Author: ler
Date: Wed Apr 26 00:42:44 UTC 2017
New revision: 439424
URL: https://svnweb.freebsd.org/changeset/ports/439424

Log:
  mail/libcmime: Improve regex conformance

  PR:	218601
  Submitted by:	Kyle Evans <bsdports@kyle-evans.net>
  Approved by:	Axel Steiner <ast@treibsand.com> (maintainer), adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10500

Changes:
  head/mail/libcmime/Makefile
Comment 5 Larry Rosenman freebsd_committer 2017-04-26 00:45:24 UTC
Committed, with a minor modification.  Thanks!